/***************************************************************************
                        get_coeffs.h  -  description
                             -------------------
   Create transform coefficients using the exponents, and mantissas read 
    from the bitstream.  Rematrixing, and downmixing is also handled here.
                             -------------------
    begin                : Wed Oct 19 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _GET_COEFFS_H_
#define _GET_COEFFS_H_

#include "audio_block.h"

#ifdef __cplusplus
extern "C" {
#endif

void get_coeffs(AUDIO_BLOCK *blk);

#ifdef __cplusplus
};
#endif

#endif
