/***************************************************************************
                       Win32_CondVar.c  -  description
                             -------------------
   Implementation of the CONDVAR API, using the Posix thread library.
                             -------------------
    begin                : Sat Jul 17 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


/* Public Functions */
/* Creates a new conditional variable. */
CONDVAR new_CONDVAR()
{
   pthread_cond_t *pc = (pthread_cond_t *)malloc(sizeof(pthread_cond_t));

   if (!pc)
      return NULL;

   if (pthread_cond_init(pc, NULL)) {
      free(pc);
      return NULL;
   }
   return (CONDVAR)pc;
}

