/***************************************************************************
                         x11_main.h  -  description
                             -------------------
   Handle the all the x11 stuff.
                             -------------------
    begin                : Fri Mar 4 2005
    copyright            : (C) 2005 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _X11_MAIN_H_
#define _X11_MAIN_H_

#include "common/typedefs.h"

# ifndef _NO_VIDEO_
#  include <X11/Xlib.h>


extern Display *X_comm;
extern Window   win;
extern GC       gc;
extern int      win_x, win_y;
extern u32      win_wid, win_hgt,
                screen_wid, screen_hgt;

#  ifdef __cplusplus
extern "C" {
#  endif

int  init_X11(u32 disp_wid, u32 disp_hgt);
void free_X11();
void get_win_size(u32 disp_wid, u32 disp_hgt);

#  ifdef __cplusplus
};
#  endif

# endif

#endif

